import "../../../../../../node_modules/element-plus/es/index.mjs";
/* empty css                                                                */
/* empty css                                                                        */
/* empty css                                                                     */
import { createElementBlock, openBlock, Fragment, createVNode, withCtx } from "vue";
import RiskSchemeSelector from "../../../../components/RiskSchemeSelector.vue2.mjs";
import ValueSelector from "../../../../components/ValueSelector.vue.mjs";
import ParamsConfig from "../../../../components/ParamsConfig.vue2.mjs";
import { ElFormItem } from "../../../../../../node_modules/element-plus/es/components/form/index.mjs";
import { ElSwitch } from "../../../../../../node_modules/element-plus/es/components/switch/index.mjs";
const _sfc_main = {
  __name: "RiskSch",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_switch = ElSwitch;
      const _component_el_form_item = ElFormItem;
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_component_el_form_item, { label: "表单校验" }, {
          default: withCtx(() => [
            createVNode(_component_el_switch, {
              modelValue: __props.formData.formValidate,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.formValidate = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "要件必传校验" }, {
          default: withCtx(() => [
            createVNode(_component_el_switch, {
              modelValue: __props.formData.docValidate,
              "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.docValidate = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "风险方案" }, {
          default: withCtx(() => [
            createVNode(RiskSchemeSelector, {
              modelValue: __props.formData.schName,
              "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => __props.formData.schName = $event),
              schNo: __props.formData.schNo,
              "onUpdate:schNo": _cache[3] || (_cache[3] = ($event) => __props.formData.schNo = $event)
            }, null, 8, ["modelValue", "schNo"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "业务主键" }, {
          default: withCtx(() => [
            createVNode(ValueSelector, {
              modelValue: __props.formData.busNo,
              "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => __props.formData.busNo = $event),
              multiple: false,
              placeholder: "选择业务主键"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "业务参数" }, {
          default: withCtx(() => [
            createVNode(ParamsConfig, {
              modelValue: __props.formData.params,
              "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => __props.formData.params = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
export {
  _sfc_main as default
};
